Update My Number

This API allows you to update the My Numbers.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Sample Request

curl --request PUT \
     --url https://api-smartflo.tatateleservices.com/v1/my_number/id \
     --header 'accept: application/json' \
     --header 'content-type: application/json'

📘 Important!

Before we begin, note that the * sign denotes the mandatory variables in each table.

Request Variables (Path Params)

The following parameter is required to update my number:

Variable NameDescriptionData Type
idId of the number.string

Request Variables (Body Params)

The following parameter is required to update my number:

Variable NameDescriptionData Type
nameName to be assigned to number.string
destinationDestination for the number.string
descriptionDescription for the number.string
sms_templateList of SMS Templates.array of strings
📘

Destination Format Examples

  • Routes the call to a specific agent (Mobile)agent||0501247020000
  • Routes the call to an agent (Extension)agent_extension||06028XXXX0146
  • Routes the call to an IVR menuivr||57000
  • Routes the call to an Auto Attendantauto_attend||57000
  • Routes the call to a departmentdepartment||108000
  • Applies a time-based ruletime_condition||64000
  • Uses an external API-based dial planapi_dialplan||66ab41c183715fc7da
  • Uses a custom-defined dial plancustom_dialplan||Tatatele CDP
  • Routes the call to an Inbound Queueinbound_queue||19X90
  • Ends the callhangup||1

Response Variables

The response returned is as following:

Variable NameDescriptionData Type
SuccessThe request success status, the possible values are: True (default) for success. False for failure.Boolean
MessageThe message corresponding to the success status. For example, in 400 Response where the "success" variable pops as True, the message displayed is shown here.String
Path Params
string
required
Body Params
string

Name to be assigned to number

string
required

Destination for the number

string

Description for the number

sms_template
array of int32s

List of sms templates

sms_template
Headers
string
required
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json